## org.eclipse.datatools.enablement.ase
Class ASEConfig.ASEControlConnection

    java.lang.Object
      org.eclipse.datatools.sqltools.internal.core.AbstractControlConnection
          org.eclipse.datatools.enablement.ase.ASEConfig.ASEControlConnection

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.datatools.sqltools.core.IControlConnection

Enclosing class:
  ASEConfig

    public static class ASEConfig.ASEControlConnection

extends org.eclipse.datatools.sqltools.internal.core.AbstractControlConnection
implements org.eclipse.datatools.sqltools.core.IControlConnection

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.datatools.sqltools.internal.core.AbstractControlConnection
`org.eclipse.datatools.sqltools.internal.core.AbstractControlConnection.SQLToolsManagedConnectionListener`

Constructor Summary
`ASEConfig.ASEControlConnection(org.eclipse.datatools.sqltools.core.IControlConnectionManager manager, org.eclipse.datatools.sqltools.core.DatabaseIdentifier databaseIdentifier)`

Method Summary

Methods inherited from class org.eclipse.datatools.sqltools.internal.core.AbstractControlConnection
`convertToInternalConnId, createConnection, disconnect, disconnect, executeDDL, fireChange, getAdapter, getAllProcs, getDatabaseIdentifier, getDatabaseName, getDBItem, getDbUsername, getManager, getProcSource, getReusableConnection, getTypeByNameStr, isTextHidden, okToDisconnect, profileRenamed, refresh, refresh, registerSkip, saveRoutine, supportsDebugging, unregisterSkip`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.sqltools.core.IControlConnection
`convertToInternalConnId, createConnection, disconnect, disconnect, executeDDL, getAllProcs, getDatabaseIdentifier, getDBItem, getDbUsername, getProcSource, getReusableConnection, getTypeByNameStr, isTextHidden, okToDisconnect, profileRenamed, refresh, refresh, saveRoutine, supportsDebugging`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Constructor Detail

### ASEConfig.ASEControlConnection

    public ASEConfig.ASEControlConnection(org.eclipse.datatools.sqltools.core.IControlConnectionManager manager,
                                          org.eclipse.datatools.sqltools.core.DatabaseIdentifier databaseIdentifier)